QGIS Application - Bug report #1576
wms: no way to set width and height, but no error message when beyond max
2009-03-16 07:11 AM - mlennert -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11636
Description

In the current implementation of the wms client, there is no way to set a max width and height. Trying to access a server that limits
requests to a max width and height fails when these values are too high. Apparently they are determined by the map window size, as
downsizing this window makes the map appear.

So, there are two problems here:

1) No way to set max values other then by resizing window.

2) If the window size is too large, the layer is simply not shown. What is weird in my test case r1 is that | see the map in its full extension,
but when | try to zoom, the map window remains empty. Which is obviously an unexpected behaviour, unless you understand the whole

issue of max sizes and how these are determined.

So, this is somewhere between a bug (no error message explaining why the map doesn't show up) and an enhancement wish for the
possibility of indicating max values.

Moritz

r1 Belgian National Geographical Institute's test WMS server: http://www.ngi.be/testbed/ (only in French or Dutch); imposes a 1000X1000
limit

Associated revisions

Revision 93404c4f - 2011-04-19 12:34 AM - Jiirgen Fischer

improve wms error and progress reporting (fixes #1576)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15763 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision dOe5af4c - 2011-04-19 12:34 AM - Jiirgen Fischer

improve wms error and progress reporting (fixes #1576)

git-svn-id: http://svn.osgeo.org/qgis/trunk@15763 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-03-17 09:34 AM - mlennert -
http://svn.osgeo.org/qgis/trunk/qgis@15763
http://svn.osgeo.org/qgis/trunk@15763

As images speak more than words, here's a screencast of the problem.

As the behaviour is really not as expected, | set this to bug instead of enhancement.

Moritz

#2 - 2009-03-29 03:17 AM - Marco Hugentobler
1) No way to set max values other then by resizing window.
the min-max pixel values are a property of the server, not of the WMS client.
For QGIS as a WMS client, | don't see any other reasonable way of requesting the pixel resolution (WIDTH and HEIGHT parameters) of the QGIS map

window.

| still need to check the WMS specs. As far as | remember, the max width height of the server is not given in all WMS version capabilities. Also, if the

server does return only an empty image and no exception, QGIS cannot know that it is an error.

http.//www.ngi.be/testbed/

Please provide directly a wms url

#3 - 2009-03-29 03:35 AM - mlennert -
Replying to [comment:3 mhugent]:
1) No way to set max values other then by resizing window.
the min-max pixel values are a property of the server, not of the WMS client.

For QGIS as a WMS client, | don't see any other reasonable way of requesting the pixel resolution (WIDTH and HEIGHT parameters) of the QGIS

map window.

GRASS allows you to give row+col max values and then calculates the bounding boxes of all the tiles it has to download to respect both those max values

and the bounding box of the total region. But | imagine that this is not as easy for simple viewing as in QGIS.

I still need to check the WMS specs. As far as | remember, the max width height of the server is not given in all WMS version capabilities. Also, if the
server does return only an empty image and no exception, QGIS cannot know that it is an error.

http.//www.ngi.be/testbed/

Please provide directly a wms url

The problem is that you have to login to get access to their WMS server. Contact me off-trac and we should be able to find a way to get you access if you

do not want to sign up (it's free, but only in French or Dutch).

Moritz
#4 - 2009-07-18 01:59 PM - Giovanni Manghi
Replying to [comment:3 mhugent]:
1) No way to set max values other then by resizing window.
the min-max pixel values are a property of the server, not of the WMS client.
For QGIS as a WMS client, | don't see any other reasonable way of requesting the pixel resolution (WIDTH and HEIGHT parameters) of the QGIS

map window.

I still need to check the WMS specs. As far as | remember, the max width height of the server is not given in all WMS version capabilities. Also, if the
server does return only an empty image and no exception, QGIS cannot know that it is an error.

http.//www.ngi.be/testbed/

Please provide directly a wms url

| confirm this behaviour. If the map canvas is small enough the layer shows normally and is possible to zoom/pan with no problems.

A URL you can use as test is

http://www.ngi.be/testbed/wms/top50r_172_fr

on the service page is stated:

"les images envoyées ont une limitation en taille de: 1000px X 1000px"

#5 - 2010-06-12 02:37 AM - Paolo Cavallini

Still true?

#6 - 2011-04-17 07:38 AM - Giovanni Manghi

Replying to [comment:6 pcav]:

Still true?

yes, easily replicable with

http://www.ngi.be/testbed/wms/top50r 172 _fr

#7 - 2011-04-18 04:26 PM - Jiirgen Fischer
- Status changed from Open to Closed
- Resolution set to fixed

error reporting improved in commit:a41769fd (SVN r15458).
#8 - 2011-04-25 05:08 AM - Giovanni Manghi

the patch available here #3768 also solves this problem
